## slurm-llnl 2.3.3

=== debian/changelog ===
slurm-llnl (2.3.3-1) unstable; urgency=low

  * New upstream release 
  * New watch file pointing to schedmd website 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 24 Jan 2012 23:02:15 +0100

slurm-llnl (2.3.2-2) unstable; urgency=low

  * Enable hardened build flags through dpkg-buildflags, thanks to
    Moritz Muehlenhoff (Closes: #656781)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 21 Jan 2012 20:57:11 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/slurm-llnl --with-munge --localstatedir=/var/run/slurm-llnl --without-blcr --libexecdir=/usr/share --enable-pam --without-rpath



#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	[ ! -f contribs/perlapi/Makefile ] || $(MAKE) -C contribs/perlapi distclean
	[ ! -f contribs/torque/Makefile ] || $(MAKE) -C contribs/torque distclean
	[ ! -f contribs/pam/Makefile ] || $(MAKE) -C contribs/pam distclean
	[ ! -f Makefile ] || $(MAKE) distclean

	  rm -rf .pc contribs/pam/.deps \
		src/plugins/accounting_storage/common/.deps \
		src/plugins/accounting_storage/common/.libs
	  rm -f config.sub
	  rm -f config.guess
	  dh_clean

  install: install-indep install-arch
  install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i
	$(MAKE) -C doc/html install DESTDIR=$(CURDIR)/debian/slurm-llnl-doc
	dh_install -pslurm-llnl-doc debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*/html usr/share/doc/slurm-llnl-doc
	#Install documenation packages file
	rm -rf debian/slurm-llnl-doc/usr/share/doc/slurm-[0-9]*

	$(MAKE) -C contribs/torque install DESTDIR=$(CURDIR)/debian/slurm-llnl-torque
	rm -f debian/slurm-llnl-torque/usr/bin/mpiexec

	for i in debian/slurm-llnl-torque/usr/bin/*; do \
		pod2man $$i > debian/slurm-llnl-torque/usr/share/man/man1/$$(basename $$i).1; \
	done

	dh_install -i

  install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/slurm-llnl
	sed -i "s/\-shared/-shared -lc/" contribs/pam/Makefile
	$(MAKE) -C contribs/pam install DESTDIR=$(CURDIR)/debian/slurm-llnl
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	rm -fr debian/slurm-llnl/usr/lib/slurm/src
	rm -f  debian/slurm-llnl/usr/sbin/slurm_epilog
	rm -f  debian/slurm-llnl/usr/sbin/slurm_prolog
	rmdir  debian/slurm-llnl/usr/share/slurm
	dh_install -pslurm-llnl debian/slurm-llnl-configurator.html usr/share/doc/slurm-llnl
	rm -rf debian/slurm-llnl/usr/share/doc/slurm-[0-9]*

	# pmi packages
	dh_install -plibpmi0 debian/slurm-llnl/usr/lib/libpmi.so.* usr/lib
	dh_install -plibpmi0-dev debian/slurm-llnl/usr/lib/libpmi.a usr/lib
	dh_install -plibpmi0-dev debian/slurm-llnl/usr/lib/libpmi.la usr/lib
	dh_install -plibpmi0-dev debian/slurm-llnl/usr/lib/libpmi*.so usr/lib
	dh_install -plibpmi0-dev debian/slurm-llnl/usr/include/slurm/pmi.h usr/include/slurm
	rm -f debian/slurm-llnl/usr/include/slurm/pmi.h
	rm -f debian/slurm-llnl/usr/lib/libpmi*

	# libslurmdb packages
	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/include/slurm/slurmdb.h usr/include/slurm
	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
	dh_install -plibslurmdb23 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
	rm -f debian/slurm-llnl/usr/lib/libslurmdb.so
	rm -f debian/slurm-llnl/usr/lib/libslurmdb.so.*

	# libslurm packages
	dh_install -plibslurm-dev debian/slurm-llnl/usr/include/slurm/* usr/include/slurm
	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/*.a usr/lib
	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
	dh_install -plibslurm23 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
	#LIBSLURM = `ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1`
	#ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1
	#echo LIBSLURM is $(LIBSLURM)
	rm -rf debian/slurm-llnl/usr/include
	rm -f debian/slurm-llnl/usr/lib/*.a
	rm -f debian/slurm-llnl/usr/lib/lib*.la
	rm -f debian/slurm-llnl/usr/lib/lib*.so
	rm -rf debian/slurm-llnl/usr/share/man/man3
	rm -f debian/slurm-llnl/usr/lib/libslurm.so.*

	#plugins packages
	dh_install -pslurm-llnl-basic-plugins debian/slurm-llnl/usr/lib/slurm/*.so usr/lib/slurm
	dh_install -pslurm-llnl-basic-plugins-dev debian/slurm-llnl/usr/lib/slurm/*.la usr/lib/slurm
	dh_install -pslurm-llnl-basic-plugins-dev debian/slurm-llnl/usr/lib/slurm/*.a usr/lib/slurm
	rm -rf debian/slurm-llnl/usr/lib/slurm
	rm -rf debian/slurm-llnl/usr/share/doc/slurm-llnl-doc
	rm -f debian/slurm-llnl/usr/share/man/man5/bluegene.conf.5
	mv -f debian/slurm-llnl/usr/share/man/man1/slurm.1 \
		debian/slurm-llnl/usr/share/man/man1/slurm-llnl.1
	rm -f debian/slurm-llnl/usr/sbin/sfree

	#sview package
	dh_install -pslurm-llnl-sview debian/slurm-llnl/usr/bin/sview usr/bin
	dh_installman -pslurm-llnl-sview debian/slurm-llnl/usr/share/man/man1/sview.1
	rm -f debian/slurm-llnl/usr/bin/sview
	rm -f debian/slurm-llnl/usr/share/man/man1/sview.1

	#slurmdbd package
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/sbin/slurmdbd usr/sbin
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/bin/sacctmgr usr/bin
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man8/slurmdbd.8 usr/share/man/man8
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man5/slurmdbd.conf.5 usr/share/man/man5
	dh_install -pslurm-llnl-slurmdbd debian/slurm-llnl/usr/share/man/man1/sacctmgr.1 usr/share/man/man1
	rm -f debian/slurm-llnl/usr/sbin/slurmdbd
	rm -f debian/slurm-llnl/usr/bin/sacctmgr
	rm -f debian/slurm-llnl/usr/share/man/man8/slurmdbd.8
	rm -f debian/slurm-llnl/usr/share/man/man5/slurmdbd.conf.5
	rm -f debian/slurm-llnl/usr/share/man/man1/sacctmgr.1

	rmdir debian/slurm-llnl/usr/lib

	#libpam-slurm package
	dh_install -plibpam-slurm debian/slurm-llnl/lib/security/pam_slurm.so lib/security
	rm -rf debian/slurm-llnl/lib


	# Perl
	$(MAKE) -C contribs/perlapi install DESTDIR=$(CURDIR)/debian/libslurm-perl PERL_MM_OPT="INSTALLDIRS=vendor"

## slurm-llnl 2.3.4

=== doc/jsspp/Makefile ===
# The following comments are to remind me how the automatic variables work:
# $@ - target
# $% - target member
# $< - First prerequisite
# $? - All (newer) prerequisites
# $^ - All prerequisites
# $+ - $^ but with repetitions
# $* - $* stem of pattern (for "foo.c" in %.c:%.o this would be "foo")
# 'info "GNU make"': "Using variables": "Automatic" also lists a few more.

REPORT = jsspp

TEX = ../common/llnlCoverPage.tex $(REPORT).tex 

FIGDIR = ../figures
FIGS = $(FIGDIR)/allocate-init.eps \
       $(FIGDIR)/arch.eps \
       $(FIGDIR)/connections.eps \
       $(FIGDIR)/entities.eps \
       $(FIGDIR)/interactive-job-init.eps \
       $(FIGDIR)/queued-job-init.eps \
       $(FIGDIR)/slurm-arch.eps

PLOTS = $(FIGDIR)/times.eps 

BIB = ../common/project.bib references.bib

%.eps: %.dia
	dia --nosplash -e $@ $< 
%.eps: %.gpl
	gnuplot $<
%.eps: %.fig
	fig2dev -Lps $< $@
%.eps: %.obj
	tgif -print -eps $<
%.ps: %.dvi
	dvips -K -t letter -o $(@F) $(<F)
%.pdf: %.dvi
	dvipdf $< $@ 

all: $(REPORT).ps 


$(REPORT).dvi: $(TEX) $(FIGS) $(PLOTS) $(BIB)
	rm -f *.log *.aux *.blg *.bbl
	latex $(REPORT)
	bibtex $(REPORT)
	latex $(REPORT)
	latex $(REPORT)

view: $(REPORT).ps
	ghostview $(REPORT) &

clean: 
	rm -f *~ *% *.dvi *.log *.aux $(REPORT).ps *.blg *.bbl #*.eps #*.gif *.ps

=== debian/changelog ===
slurm-llnl (2.3.4-2) unstable; urgency=low

  * Avoiding deluser to fail on purge (Closes: #667537) 
  * Hardening flags added (Closes: #663878), thanks to Simon Ruderich
    for the patch

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 05 Apr 2012 12:42:35 +0200

slurm-llnl (2.3.4-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 20 Mar 2012 09:50:31 +0100

slurm-llnl (2.3.3-2) unstable; urgency=low

  * Changed Build-Depends entry from postgresql-server-dev-8.4 to 9.1
    (Closes: #639480)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 13 Feb 2012 10:46:03 +0100

=== debian/control ===
Source: slurm-llnl
Section: admin
Priority: extra
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-9.1,  libpam0g-dev, libperl-dev, chrpath, libpam0g-dev
Standards-Version: 3.9.3.1
Homepage: https://computing.llnl.gov/linux/slurm/

Package: slurm-llnl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl, ucf, munge, slurm-llnl-basic-plugins (= ${binary:Version}), adduser, openssl-blacklist, openssl (>= 0.9.8g-9), lsb-base (>= 3.2-12)
Description: Simple Linux Utility for Resource Management
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.

Package: libslurmdb23
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for the SLURM DataBase Daemon
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM DataBase Daemon runtime library.

Package: libslurm23
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM runtime library.

Package: libpmi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI runtime implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm23 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Description: SLURM development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM static library and header files.

Package: libslurmdb-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb23 (= ${binary:Version})
Description: SLURM DataBase Daemon development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM DataBase Daemon static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm23 (= ${binary:Version})
Description: SLURM PMI library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI implementation static library and header
 files

Package: slurm-llnl-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM docmentation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM html documentation.

Package: slurm-llnl-basic-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM basic plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM basic plugins

Package: slurm-llnl-basic-plugins-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl-basic-plugins (= ${binary:Version})
Description: SLURM basic plugins development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains development files for the SLURM basic plugins

Package: slurm-llnl-sview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl (= ${binary:Version})
Description: GUI to view and modify SLURM state
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains sview a GUI that can be used to view SLURM
 configuration, job, step, node and partitions state information.
 Authorized users can also modify select information.

Package: slurm-llnl-slurmdbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-llnl-basic-plugins (= ${binary:Version}), adduser, munge, ucf
Description: Secure enterprise-wide interface to a database for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contain SlurmDBD (Slurm DataBase Daemon) that can be
 used to securely manage the accounting data for several Slurm
 clusters in a central location and sacctmgr a command for managing
 user accounts in SlurmDBD.

Package: libslurm-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Perl API for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Perl module.

Package: libslurmdb-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Perl API for the SLURM database
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Perl module for the SLURM database.

Package: slurm-llnl-torque
Architecture: all
Depends: libslurm-perl (>= ${source:Version}), libslurmdb-perl (>= ${source:Version}), ${perl:Depends}, ${misc:Depends}, slurm-llnl (>= ${source:Version})
Conflicts: gridengine-client, torque-client, torque-client-x11
Description: Torque compatibility wrappers for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Torque compatibility wrappers.

Package: libpam-slurm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PAM module to authenticate using the SLURM resource manager
 Pluggable Authentication Module (PAM) for restricting access to compute
 nodes where SLURM performs resource management. Access to the node is
 restricted to user root and users who have been allocated resources on
 that node.

## slurm-llnl 2.4.5

=== debian/changelog ===
slurm-llnl (2.4.5-1) unstable; urgency=low

  * New upstream major release 
  * Add lintian overrides for hardening-no-fortify-functions in the
    slurm-llnl-basic-plugins package

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 03 Feb 2013 11:53:20 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
 
-Package: libslurmdb23
+Package: libslurmdb24
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -24,7 +24,7 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurm23
+Package: libslurm24
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,7 +45,7 @@
 Package: libslurm-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm23 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm24 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -56,7 +56,7 @@
 Package: libslurmdb-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb23 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb24 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -65,7 +65,7 @@
 Package: libpmi0-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm23 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm24 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.

=== debian/rules ===
--- 
+++ 
@@ -127,7 +127,7 @@
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
-	dh_install -plibslurmdb23 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	dh_install -plibslurmdb24 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
 	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
@@ -140,7 +140,7 @@
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
 	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm23 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm24 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
 	#LIBSLURM = `ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1`
 	#ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1
 	#echo LIBSLURM is $(LIBSLURM)

## slurm-llnl 2.5.7

=== debian/changelog ===
slurm-llnl (2.5.7-1) unstable; urgency=low

  * New upstream relase
  * Add lintian overrides for shlib-with-executable-stack in the
    slurm-llnl-basic-plugins package since _block_sync_core_bitmap in
    src/plugins/select/cons_res/dist_tasks.c contains nested functions
  * Add slurm-llnl-configurator.easy.html
  * Changed homepage to http://www.schedmd.com (Closes: #703529)
  * Successfully compile under 4.8 (Closes: #701359)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 08 Jun 2013 17:53:39 +0200

slurm-llnl (2.5.3-1) unstable; urgency=low

  * New upstream major release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 06 Feb 2013 16:14:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-9.1,  libpam0g-dev, libperl-dev, chrpath, libpam0g-dev
-Standards-Version: 3.9.3.1
-Homepage: https://computing.llnl.gov/linux/slurm/
+Standards-Version: 3.9.4
+Homepage: http://www.schedmd.com
 
 Package: slurm-llnl
 Architecture: any
@@ -15,7 +15,7 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
 
-Package: libslurmdb24
+Package: libslurmdb25
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -24,7 +24,7 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurm24
+Package: libslurm25
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,7 +45,7 @@
 Package: libslurm-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm24 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm25 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -56,7 +56,7 @@
 Package: libslurmdb-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb24 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb25 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -65,7 +65,7 @@
 Package: libpmi0-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm24 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm25 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.

=== debian/rules ===
--- 
+++ 
@@ -109,8 +109,9 @@
 	rm -fr debian/slurm-llnl/usr/lib/slurm/src
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_epilog
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_prolog
-	rmdir  debian/slurm-llnl/usr/share/slurm
+	#rmdir  debian/slurm-llnl/usr/share/slurm
 	dh_install -pslurm-llnl debian/slurm-llnl-configurator.html usr/share/doc/slurm-llnl
+	dh_install -pslurm-llnl debian/slurm-llnl-configurator.easy.html usr/share/doc/slurm-llnl
 	rm -rf debian/slurm-llnl/usr/share/doc/slurm-[0-9]*
 
 	# pmi packages
@@ -127,7 +128,7 @@
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
-	dh_install -plibslurmdb24 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	dh_install -plibslurmdb25 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
 	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
@@ -140,7 +141,7 @@
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
 	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm24 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm25 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
 	#LIBSLURM = `ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1`
 	#ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1
 	#echo LIBSLURM is $(LIBSLURM)
@@ -188,5 +189,3 @@
 
 
 	# Perl
-	$(MAKE) -C contribs/perlapi install DESTDIR=$(CURDIR)/debian/libslurm-perl PERL_MM_OPT="INSTALLDIRS=vendor"
-

## slurm-llnl 2.6.4

=== debian/changelog ===
slurm-llnl (2.6.4-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 05 Nov 2013 12:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
 
-Package: libslurmdb25
+Package: libslurmdb26
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -24,7 +24,7 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurm25
+Package: libslurm26
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,7 +45,7 @@
 Package: libslurm-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm25 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurm26 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -56,7 +56,7 @@
 Package: libslurmdb-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb25 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libslurmdb26 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -65,7 +65,7 @@
 Package: libpmi0-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm25 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpmi0 (= ${binary:Version}), libslurm26 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.

## slurm-llnl 2.6.5

=== alps_tests/reassemble_inventory/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGET = reassemble-inventory
MAIN   = main.c
OUT    = inventory.out
# PROGRAMS
CC    = gcc
RM    = rm -vf
SHELL = /bin/bash

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps
ENGINE = ../query_alps_engine/query_alps_engine

# FLAGS
CFLAGS = -I$(INCDIR) -Wall -Werror #-pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat
CFLAGS += -g

# RULES
.PHONY: clean check

all: check $(TARGET)

# when apbasil is available, compare the outputs directly
ifneq ($(shell which apbasil),)
QUERY = <?xml version="1.0"?>\
	<BasilRequest protocol="$(shell $(ENGINE) --basil)"\
		      method="QUERY" type="INVENTORY"/>
	#<BasilRequest protocol="1.0"\

check: $(TARGET) $(ENGINE)
	diff -sup <(apbasil <<< '$(QUERY)' | tee $(OUT)) <(./$<)
else
check: $(TARGET)
	time ./$<
endif

$(TARGET): $(MAIN) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@

$(ENGINE):
	$(MAKE) -C $(@D) $(@F)

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c)
	$(MAKE) -C $(dir $(ALPSLIB))

tags: $(wildcard *.c $(LIBDIR)/*.c $(INCDIR)/*.h)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core *.out tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean

=== doc/bgl.report/Makefile ===
# The following comments are to remind me how the automatic variables work:
# $@ - target
# $% - target member
# $< - First prerequisite
# $? - All (newer) prerequisites
# $^ - All prerequisites
# $+ - $^ but with repetitions
# $* - $* stem of pattern (for "foo.c" in %.c:%.o this would be "foo")
# 'info "GNU make"': "Using variables": "Automatic" also lists a few more.

REPORT = report

TEX = ../common/llnlCoverPage.tex $(REPORT).tex

FIGDIR = ../figures
FIGS = $(FIGDIR)/arch.eps \
       $(FIGDIR)/connections.eps \
       $(FIGDIR)/entities.eps \
       $(FIGDIR)/interactive-job-init.eps \
       $(FIGDIR)/slurm-arch.eps

PLOTS = $(FIGDIR)/times.eps 

BIB = ../common/project.bib

%.eps: %.dia
	dia --nosplash -e $@ $< 
%.eps: %.gpl
	gnuplot $<
%.eps: %.fig
	fig2dev -Lps $< $@
%.eps: %.obj
	tgif -print -eps $<
%.ps: %.dvi
	dvips -K -t letter -o $(@F) $(<F)
%.pdf: %.dvi
	dvipdf $< $@ 

all: $(REPORT).ps 


$(REPORT).dvi: $(TEX) $(FIGS) $(PLOTS) $(BIB) smap.output
	rm -f *.log *.aux *.blg *.bbl
	(TEXINPUTS=.:../common::; export TEXINPUTS; \
	 BIBINPUTS=.:../common::; export BIBINPUTS; \
	 latex $(REPORT); \
	 bibtex $(REPORT); \
	 latex $(REPORT); \
	 latex $(REPORT) )

view: $(REPORT).ps
	ghostview $(REPORT) &

clean: 
	rm -f *~ *.dvi *.log *.aux $(REPORT).pdf $(REPORT).ps *.blg *.bbl #*.eps #*.gif *.ps

=== doc/slides/bigpicture/Makefile ===
all: slides.dvi

# -paper usr
view: slides.dvi
	xdvi -paper usr -expert -s 0 slides
viewps: slides.ps
	ghostview -seascape slides.ps

clean:
	rm -f slides.dvi slides.aux slides.log slides.ps

slides.dvi: slides.tex arch.eps penguin.eps slurm.eps
	latex slides
slides.ps: slides.dvi
	dvips -O 0.75in,0 -f <slides.dvi >$@  # slides 1-per page

%.eps: %.obj
	tgif -print -eps $<

%.pdf: %.dvi
	dvipdf $< $@

=== debian/changelog ===
slurm-llnl (2.6.5-1) unstable; urgency=low

  * New upstream release
  * Changed Build-Depends entry from postgresql-server-dev to libpq-dev
    (Closes: #732512) thanks to Christoph Berg and Martin Pitt
  * Sleeping one second in the postrotate section of slurm-llnl.logrotate
    (Closes: #735741) thanks to Stephane Vaillant
  * Adding optional dependency for mysql in slurm-llnl-slurmdbd.init.d
    (Closes: #735748) thanks to Stephane Vaillant

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 04 Jan 2014 10:43:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, postgresql-server-dev-9.1,  libpam0g-dev, libperl-dev, chrpath, libpam0g-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, libpq-dev, libpam0g-dev, libperl-dev, chrpath, libpam0g-dev
+Standards-Version: 3.9.5
 Homepage: http://www.schedmd.com
 
 Package: slurm-llnl

=== debian/rules ===
--- 
+++ 
@@ -91,6 +91,7 @@
 	for i in debian/slurm-llnl-torque/usr/bin/*; do \
 		pod2man $$i > debian/slurm-llnl-torque/usr/share/man/man1/$$(basename $$i).1; \
 	done
+	cp -f debian/generate_pbs_nodefile.1 debian/slurm-llnl-torque/usr/share/man/man1/
 
 	dh_install -i
 
@@ -128,7 +129,7 @@
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
-	dh_install -plibslurmdb25 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	dh_install -plibslurmdb26 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
 	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
@@ -141,7 +142,7 @@
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
 	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm25 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm26 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
 	#LIBSLURM = `ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1`
 	#ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1
 	#echo LIBSLURM is $(LIBSLURM)
@@ -185,7 +186,3 @@
 
 	#libpam-slurm package
 	dh_install -plibpam-slurm debian/slurm-llnl/lib/security/pam_slurm.so lib/security
-	rm -rf debian/slurm-llnl/lib
-
-
-	# Perl

=== debian/watch ===
version=3
http://www.schedmd.com/download/latest/slurm-(\d{1,2}.\d{1,2}.\d{1,2})\.tar\.bz2

## slurm-llnl 2.6.7

=== debian/changelog ===
slurm-llnl (2.6.7-2build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:50:56 +0100

slurm-llnl (2.6.7-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "hardcodes /usr/lib/perl5":
    - drop debian/libslurmdb-perl.dirs
    - dynamically create directories and move files in debian/rules, using the
      value of $Config{vendorarch}
    (Closes: #752814)

  [ Gennaro Oliva ]
  * Add lintian overrides for spelling-error-in-binary in the
    slurm-llnl-basic-plugins package to avoid wrong spelling error detection
  * Added dh_autoreconf (Closes: #744659)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 29 Jul 2014 17:13:06 +0200

slurm-llnl (2.6.7-1) unstable; urgency=medium

  * New upstream release
  * Added lua5.1-0-dev build dependency

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 21 Mar 2014 16:47:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, libpq-dev, libpam0g-dev, libperl-dev, chrpath, libpam0g-dev
+Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, libpq-dev, libpam0g-dev, libperl-dev, chrpath, libpam0g-dev, liblua5.1-0-dev, dh-autoreconf
 Standards-Version: 3.9.5
 Homepage: http://www.schedmd.com

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,8 @@
 LDFLAGS = `dpkg-buildflags --get LDFLAGS`
 CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
+PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
+
 config.status: configure
 	dh_testdir
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
@@ -35,6 +37,7 @@
 	cp -f /usr/share/misc/config.guess config.guess
 endif
 	# Add here commands to configure the package.
+	dh_autoreconf
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/slurm-llnl --with-munge --localstatedir=/var/run/slurm-llnl --without-blcr --libexecdir=/usr/share --enable-pam --without-rpath
 
 
@@ -72,6 +75,7 @@
 		src/plugins/accounting_storage/common/.libs
 	  rm -f config.sub
 	  rm -f config.guess
+	  dh_autoreconf_clean
 	  dh_clean
 
   install: install-indep install-arch
@@ -182,7 +186,3 @@
 	rm -f debian/slurm-llnl/usr/share/man/man5/slurmdbd.conf.5
 	rm -f debian/slurm-llnl/usr/share/man/man1/sacctmgr.1
 
-	rmdir debian/slurm-llnl/usr/lib
-
-	#libpam-slurm package
-	dh_install -plibpam-slurm debian/slurm-llnl/lib/security/pam_slurm.so lib/security
